local jautils = require("mods").requireFromPlugin("libraries.jautils")
local utils = require("utils")

local baddyDummy = {}
baddyDummy.name = "EvaHelper/BadelineDummyCustom"
baddyDummy.depth = 0
baddyDummy.placements = {
    {
        name = "Badeline Dummy Custom (attached)",
        data = {
			behaviour = "AttachedToPlayer",
			dx = 24,
			dy = 16,
			appearOnFlag = "",
			silentAppear = false,
			facing = "Auto",
			depth = -20000
        }
    },
    {
        name = "Badeline Dummy Custom (follow)",
        data = {
			behaviour = "FollowOnRadius",
			radius = 32,
			appearOnFlag = "",
			silentAppear = false,
			facing = "Auto",
			depth = -20000
        }
    },
    {
        name = "Badeline Dummy Custom (fixed)",
        data = {
			behaviour = "Fixed",
			appearOnFlag = "",
			silentAppear = false,
			facing = "Auto",
			depth = -20000
        }
    }
}

baddyDummy.fieldInformation = {
    behaviour = {
        options = { "AttachedToPlayer", "FollowOnRadius", "Fixed" }
    },
    facing = {
        options = { "Auto", "Left", "Right" }
    }
}

function baddyDummy.texture(room, entity)
    return "characters/badeline/sleep00"
end


return baddyDummy
